using System;

namespace cetvrti_zadatak_kvalifikacije_1
{
    class Program
    {
        static string oznaci(string x, int n, string y, int m, out int minpom2)
        {
            int i=0, j=0;
            char[] pom1 = new char[n];
            int[] pom2 = new int[m];
            for (i = 0; i < n; i++)
                for (j = 0; j < m; j++)
                    if (x[i] == y[j])
                    {
                        pom1[i] = y[j];
                        pom2[j]++;
                    }
            int mink = 0;
            minpom2 = 999999;
            for(int k=0; k<m; k++)
            {
                if (pom2[k] < minpom2) { minpom2 = pom2[k]; mink = k; }
            }
            for (int l = 0; l < n; l++) 
            {
                if(pom1[l]!= '\u0000')
                {
                    if(pom1[l]==y[mink])
                    {
                        pom2[mink]--;
                        x = x.Remove(l, 1).Insert(l, "*");
                    }
                    if (pom2[mink] == 0) break;
                }
            }
            return x;
        }
        static void Main(string[] args)
        {
            string t = Console.ReadLine();
            string s = Console.ReadLine();
            int br = 0;
            if(s=="a")
            {
                for(int i=0; i<t.Length; i++)
                {
                    if (t[i] == 'a')
                    { t = t.Remove(i, 1).Insert(i, "*");
                        br++;
                    }
                }
                Console.WriteLine(br);
                Console.WriteLine(t);
            }
            else
            {
                t=oznaci(t, t.Length, s, s.Length, out br);
                Console.WriteLine(br);
                Console.WriteLine(t);
            }
        }
    }
}